﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Leaflet Routing Machine Example</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css" />
    <link rel="stylesheet" href="https://unpkg.com/leaflet-routing-machine@latest/dist/leaflet-routing-machine.css" />

    <script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"></script>
    <script src="https://unpkg.com/leaflet-routing-machine@latest/dist/leaflet-routing-machine.js"></script>

    <style>
        .map {
            position: absolute;
            width: 100%;
            height: 100%;
        }
        .leaflet-popup-content {
            width: 100px;
        }
        .leaflet-popup {
            bottom: 53px !important;
        }
        .leaflet-popup-content img {
            width: 80px;
        }
        .leaflet-marker-icon img {
            width: 60px;
        }
        .leaflet-marker-icon span {
            position: absolute;
            font-weight: bold;
            font-size: 1.2rem;
            top: 7px;
            left: -5px;
        }
        .leaflet-marker-icon {
            margin-left: -6px;
            margin-top: -68px !important;
            width: 12px;
            height: 12px;
        }

    </style>
</head>
<body>
    <div id="map" class="map"></div>
    <script>
         wp = JSON.parse(localStorage.getItem('GoogleMapTest'));
        var St_Lat = localStorage.getItem('CompanyStart_Lat');
        var St_Long = localStorage.getItem('CompanyStart_Long');
        var lt = { lat: St_Lat, lon: St_Long, stopNumber: "Start", orderNo: "Start Location" };
        wp.unshift(lt);
       
        var datav = wp;
        var map = L.map('map'); i = 0;
        
         console.log(wp);
        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);
      

     L.Routing.control({

            waypoints: wp,
            lineOptions: {
                styles: [{ color: 'red', opacity: 1, weight: 5 }],
            },
            createMarker:
                function (i, wp, nWps) {
                    console.log(wp);
                return L.marker(wp.latLng, {
                    icon: new L.DivIcon({
                        className: 'icon-div',
                        html: '<img src="http://icons.iconarchive.com/icons/icons-land/vista-map-markers/72/Map-Marker-Bubble-Chartreuse-icon.png" style="margin-left: -29px;" /><span>' + datav[i].stopNumber + '</span>',
                    })
                }).bindPopup(datav[i].orderNo);
              
            },
             addWaypoints: false,
             routeWhileDragging: false,
             show: false
        }).addTo(map);

    </script>
</body>
</html>